Subject: add missing setns sycall for powerpc & s390

From: Michel Normand <normand@fr.ibm.com>

basic test on ppc64 and s390x (not tested on s390)

Signed-off-by: Michel Normand <normand@fr.ibm.com>
---
 arch/powerpc/include/asm/systbl.h |    1 +
 arch/powerpc/include/asm/unistd.h |    3 ++-
 arch/s390/include/asm/unistd.h    |    3 ++-
 arch/s390/kernel/compat_wrapper.S |    7 +++++++
 arch/s390/kernel/syscalls.S       |    1 +
 5 files changed, 13 insertions(+), 2 deletions(-)

Index: 2.6.33/arch/powerpc/include/asm/systbl.h
===================================================================
--- 2.6.33.orig/arch/powerpc/include/asm/systbl.h
+++ 2.6.33/arch/powerpc/include/asm/systbl.h
@@ -326,3 +326,4 @@ SYSCALL_SPU(perf_event_open)
 COMPAT_SYS_SPU(preadv)
 COMPAT_SYS_SPU(pwritev)
 COMPAT_SYS(rt_tgsigqueueinfo)
+SYSCALL(setns)
Index: 2.6.33/arch/powerpc/include/asm/unistd.h
===================================================================
--- 2.6.33.orig/arch/powerpc/include/asm/unistd.h
+++ 2.6.33/arch/powerpc/include/asm/unistd.h
@@ -345,10 +345,11 @@
 #define __NR_preadv		320
 #define __NR_pwritev		321
 #define __NR_rt_tgsigqueueinfo	322
+#define __NR_setns		323
 
 #ifdef __KERNEL__
 
-#define __NR_syscalls		323
+#define __NR_syscalls		324
 
 #define __NR__exit __NR_exit
 #define NR_syscalls	__NR_syscalls
Index: 2.6.33/arch/s390/include/asm/unistd.h
===================================================================
--- 2.6.33.orig/arch/s390/include/asm/unistd.h
+++ 2.6.33/arch/s390/include/asm/unistd.h
@@ -269,7 +269,8 @@
 #define	__NR_pwritev		329
 #define __NR_rt_tgsigqueueinfo	330
 #define __NR_perf_event_open	331
-#define NR_syscalls 332
+#define __NR_setns		332
+#define NR_syscalls 333
 
 /* 
  * There are some system calls that are not present on 64 bit, some
Index: 2.6.33/arch/s390/kernel/compat_wrapper.S
===================================================================
--- 2.6.33.orig/arch/s390/kernel/compat_wrapper.S
+++ 2.6.33/arch/s390/kernel/compat_wrapper.S
@@ -1853,3 +1853,10 @@ sys32_execve_wrapper:
 	llgtr	%r3,%r3			# compat_uptr_t *
 	llgtr	%r4,%r4			# compat_uptr_t *
 	jg	sys32_execve		# branch to system call
+
+	.globl sys_setns_wrapper
+sys_setns_wrapper:
+	llgfr 	%r2,%r2			# unsigned int
+	llgtr 	%r3,%r3			# int
+	jg 	sys_setns
+
Index: 2.6.33/arch/s390/kernel/syscalls.S
===================================================================
--- 2.6.33.orig/arch/s390/kernel/syscalls.S
+++ 2.6.33/arch/s390/kernel/syscalls.S
@@ -340,3 +340,4 @@ SYSCALL(sys_preadv,sys_preadv,compat_sys
 SYSCALL(sys_pwritev,sys_pwritev,compat_sys_pwritev_wrapper)
 SYSCALL(sys_rt_tgsigqueueinfo,sys_rt_tgsigqueueinfo,compat_sys_rt_tgsigqueueinfo_wrapper) /* 330 */
 SYSCALL(sys_perf_event_open,sys_perf_event_open,sys_perf_event_open_wrapper)
+SYSCALL(sys_setns, sys_setns, sys_setns_wrapper)
